//
//  FavViewController+ViewsLayout.swift
//  UpaxMovie
//
//  Created Imo on 01/03/24.
//  Template generated by UPAX Zeus
//

import UIKit

extension FavViewController {
    func setupLayout() {
        view.addSubview(views.mainStack)
        
        let tview = UIView()
        tview.translatesAutoresizingMaskIntoConstraints = false
        tview.backgroundColor = .white
        tview.layer.cornerRadius = 10
        tview.addSubview(views.titleLB)
        tview.addSubview(views.subtitleLB)
        views.mainStack.addArrangedSubview(tview)
        
        NSLayoutConstraint.activate([
            views.mainStack.leadingAnchor.constraint(equalTo: view.leadingAnchor, constant: 30),
            views.mainStack.trailingAnchor.constraint(equalTo: view.trailingAnchor, constant: -30),
            views.mainStack.centerYAnchor.constraint(equalTo: view.centerYAnchor),
            
            views.titleLB.topAnchor.constraint(equalTo: tview.topAnchor, constant: 10),
            views.titleLB.leadingAnchor.constraint(equalTo: tview.leadingAnchor, constant: 20),
            views.titleLB.trailingAnchor.constraint(equalTo: tview.trailingAnchor, constant: -20),
            
            views.subtitleLB.topAnchor.constraint(equalTo: views.titleLB.bottomAnchor, constant: 10),
            views.subtitleLB.bottomAnchor.constraint(equalTo: tview.bottomAnchor, constant: -10),
            views.subtitleLB.leadingAnchor.constraint(equalTo: tview.leadingAnchor, constant: 20),
            views.subtitleLB.trailingAnchor.constraint(equalTo: tview.trailingAnchor, constant: -20),
        ])
        
        let bview = UIView()
        bview.translatesAutoresizingMaskIntoConstraints = false
        bview.backgroundColor = .white
        bview.layer.cornerRadius = 10
        bview.addSubview(views.favButton)
        bview.addSubview(views.detalleButton)
        views.mainStack.addArrangedSubview(bview)
        
        NSLayoutConstraint.activate([
            views.favButton.topAnchor.constraint(equalTo: bview.topAnchor, constant: 10),
            views.favButton.leadingAnchor.constraint(equalTo: bview.leadingAnchor, constant: 20),
            views.favButton.trailingAnchor.constraint(equalTo: bview.trailingAnchor, constant: -20),
            
            views.detalleButton.topAnchor.constraint(equalTo: views.favButton.bottomAnchor, constant: 10),
            views.detalleButton.bottomAnchor.constraint(equalTo: bview.bottomAnchor, constant: -10),
            views.detalleButton.leadingAnchor.constraint(equalTo: bview.leadingAnchor, constant: 20),
            views.detalleButton.trailingAnchor.constraint(equalTo: bview.trailingAnchor, constant: -20),
        ])
    }
}
